package com.bytedance.vcloud.abrmodule;

import com.bytedance.covode.number.Covode;

public class ABRVideoStream implements IVideoStream {
    public int mBandWidth;
    public String mCodec;
    public int mFrameRate;
    public int mHeight;
    public int mRealBitrate;
    public int mResolution;
    public int mSegmentDuration;
    public String mStreamId = "";
    public int mSupportSR;
    public int mWidth;

    static {
        Covode.recordClassIndex(40165);
    }

    public float getFrameRate() {
        return (float) this.mFrameRate;
    }

    public int getBandwidth() {
        return this.mBandWidth;
    }

    public String getCodec() {
        return this.mCodec;
    }

    public int getHeight() {
        return this.mHeight;
    }

    public int getRealBitrate() {
        return this.mRealBitrate;
    }

    public int getResolution() {
        return this.mResolution;
    }

    public int getSegmentDuration() {
        return this.mSegmentDuration;
    }

    public String getStreamId() {
        return this.mStreamId;
    }

    public int getSupportSR() {
        return this.mSupportSR;
    }

    public int getWidth() {
        return this.mWidth;
    }

    public void setBandWidth(int i) {
        this.mBandWidth = i;
    }

    public void setCodec(String str) {
        this.mCodec = str;
    }

    public void setFrameRate(int i) {
        this.mFrameRate = i;
    }

    public void setHeight(int i) {
        this.mHeight = i;
    }

    public void setRealBitrate(int i) {
        this.mRealBitrate = i;
    }

    public void setResolution(int i) {
        this.mResolution = i;
    }

    public void setSegmentDuration(int i) {
        this.mSegmentDuration = i;
    }

    public void setStreamId(String str) {
        this.mStreamId = str;
    }

    public void setSupportSR(int i) {
        this.mSupportSR = i;
    }

    public void setWidth(int i) {
        this.mWidth = i;
    }
}
